
/**
 * Das interface Text beschreibt die Ein- und Ausgabe der Textdateien.
 * 
 * @author (claus albowski) 
 * @version (03'06)
 */

public interface TextInterface
{
    // gibt den gesamten Text mit \n\r dazwischen in einem String zurck.
     public String gibText();
    
    // setzt den gesamten Text neu.
    public void neuerText(String neu);
    
    // setzt den gesamten Text neu. Es muss ein Textarray bergeben werden!
    public void neuerText(String[] neu);
    
    // verlngert den Text um einen String.
    public void textAnhaengen(String neu);
    
    // setzt den Dateinamen (Ein- und Ausgabe gleich).
    public void waehleDateiNamen(String name);
    
    // schreibt den vorhandenen Text wird in die Datei. Bestehende Dateien werden berschrieben !!!
    public void dateiSchreiben();
    
    // liest den Text aus der Datei. Der aktuelle Inhalt wird gelscht.
    public void dateiLesen();

}
